Loading...
Searching...
No Matches
pcl::poisson::VertexData Class Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Static Public Member Functions

static long long | EdgeIndex (const TreeOctNode *node, int eIndex, int maxDepth, int index[DIMENSION])
static long long | EdgeIndex (const TreeOctNode *node, int eIndex, int maxDepth)
static long long | FaceIndex (const TreeOctNode *node, int fIndex, int maxDepth, int index[DIMENSION])
static long long | FaceIndex (const TreeOctNode *node, int fIndex, int maxDepth)
static long long | CornerIndex (int depth, const int offSet[DIMENSION], int cIndex, int maxDepth, int index[DIMENSION])
static long long | CornerIndex (const TreeOctNode *node, int cIndex, int maxDepth, int index[DIMENSION])
static long long | CornerIndex (const TreeOctNode *node, int cIndex, int maxDepth)
static long long | CenterIndex (int depth, const int offSet[DIMENSION], int maxDepth, int index[DIMENSION])
static long long | CenterIndex (const TreeOctNode *node, int maxDepth, int index[DIMENSION])
static long long | CenterIndex (const TreeOctNode *node, int maxDepth)
static long long | CornerIndexKey (const int index[DIMENSION])

## Detailed Description

Definition at line 99 of file multi_grid_octree_data.h.

## Member Function Documentation

## CenterIndex() [1/3]

long long pcl::poisson::VertexData::CenterIndex | ( | const TreeOctNode * | node,
|  | int | maxDepth )

static

Definition at line 3889 of file multi_grid_octree_data.hpp.

References CenterIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

## CenterIndex() [2/3]

long long pcl::poisson::VertexData::CenterIndex | ( | const TreeOctNode * | node,
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3894 of file multi_grid_octree_data.hpp.

References pcl::poisson::BinaryNode< Real >::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), and pcl::poisson::SortedTreeNodes::maxDepth.

## CenterIndex() [3/3]

long long pcl::poisson::VertexData::CenterIndex | ( | int | depth,
|  | const int | offSet[DIMENSION],
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3901 of file multi_grid_octree_data.hpp.

References pcl::poisson::BinaryNode< Real >::CornerIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

Referenced by CenterIndex().

## CornerIndex() [1/3]

long long pcl::poisson::VertexData::CornerIndex | ( | const TreeOctNode * | node,
|  | int | cIndex,
|  | int | maxDepth )

static

Definition at line 3906 of file multi_grid_octree_data.hpp.

References CornerIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

## CornerIndex() [2/3]

long long pcl::poisson::VertexData::CornerIndex | ( | const TreeOctNode * | node,
|  | int | cIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3911 of file multi_grid_octree_data.hpp.

References CornerIndexKey(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::FactorCornerIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

## CornerIndex() [3/3]

long long pcl::poisson::VertexData::CornerIndex | ( | int | depth,
|  | const int | offSet[DIMENSION],
|  | int | cIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3921 of file multi_grid_octree_data.hpp.

References CornerIndexKey(), pcl::poisson::Cube::FactorCornerIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

Referenced by CornerIndex().

## CornerIndexKey()

long long pcl::poisson::VertexData::CornerIndexKey | ( | const int | index[DIMENSION] | ) |

static

Definition at line 3929 of file multi_grid_octree_data.hpp.

Referenced by CornerIndex(), and CornerIndex().

## EdgeIndex() [1/2]

long long pcl::poisson::VertexData::EdgeIndex | ( | const TreeOctNode * | node,
|  | int | eIndex,
|  | int | maxDepth )

static

Definition at line 3949 of file multi_grid_octree_data.hpp.

References EdgeIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

## EdgeIndex() [2/2]

long long pcl::poisson::VertexData::EdgeIndex | ( | const TreeOctNode * | node,
|  | int | eIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3954 of file multi_grid_octree_data.hpp.

References pcl::poisson::BinaryNode< Real >::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::FactorEdgeIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

Referenced by EdgeIndex().

## FaceIndex() [1/2]

long long pcl::poisson::VertexData::FaceIndex | ( | const TreeOctNode * | node,
|  | int | fIndex,
|  | int | maxDepth )

static

Definition at line 3934 of file multi_grid_octree_data.hpp.

References FaceIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

## FaceIndex() [2/2]

long long pcl::poisson::VertexData::FaceIndex | ( | const TreeOctNode * | node,
|  | int | fIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION] )

static

Definition at line 3939 of file multi_grid_octree_data.hpp.

References pcl::poisson::BinaryNode< Real >::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::FactorFaceIndex(), and pcl::poisson::SortedTreeNodes::maxDepth.

Referenced by FaceIndex().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp